/* 
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *                                                                           *
 *                              S N A R K   1 4                              *
 *                                                                           *
 *                     A PICTURE RECONSTRUCTION PROGRAM                      *
 *                                                                           *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

 spctrm.h,v 1.2 2008/08/25 16:11:09 jklukowska Exp
*/

#ifndef SPCTRM_H
#define SPCTRM_H

#include "blkdta.h"

// common /spctrm/ nergy, energy(7), engwt(7), backgr(7)
// integer nergy, energy
// real engwt, backgr
// data nergy, energy, engwt, backgr/ 8*0, 14*0.0/

extern class spctrm_class 
{
  public:
  INTEGER nergy; 
  INTEGER energy[7];
  REAL    engwt[7];
  REAL    backgr[7];
} Spctrm;

/*
extern INTEGER nergy; 
extern INTEGER energy[7];
extern REAL    engwt[7];
extern REAL    backgr[7];
*/

#endif
