/** @file mode.h
    @package snark14Input
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef MODEWINDOW_H
#define MODEWINDOW_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QCheckBox;
class QFrame;
class QLabel;
class QLineEdit;
class QPushButton;
class QRadioButton;

class modewindow : public QDialog
{ 
    Q_OBJECT

public:
    modewindow( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~modewindow();
    QString getOutput();

    QLabel* modelabel;
    QCheckBox* lowerbox;
    QCheckBox* upperbox;
    QLabel* uppervaluelabel;
    QLineEdit* uppervalue;
    QLineEdit* lowervalue;
    QLabel* lowervaluelabel;
    QFrame* Line9;
    QPushButton* okbutton;
    QPushButton* cancelbutton;
private slots:
      //void activateFields();
    void activateLowerFields();
    void activateUpperFields();
    void checkValues();
};

#endif // MODEWINDOW_H
