/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/BasisFunctionBlob.cpp $
 $LastChangedRevision: 81 $
 $Date: 2014-07-02 11:07:09 -0400 (Wed, 02 Jul 2014) $
 $Author: olangthaler $
 ***********************************************************
 */

#include "BasisFunctionBlob.h"
#include "blob.h"

BasisFunctionBlob::BasisFunctionBlob() :
		GeometricBehaviour() {
}

BasisFunctionBlob::~BasisFunctionBlob() {
}

void BasisFunctionBlob::getRayTrace(INTEGER np, INTEGER nr,
		INTEGER* list,
		REAL* weight, INTEGER* numb, REAL* snorm, REAL * _sorx,
		REAL * _sory, REAL * _cf, REAL * _sf) {
	// _sorx, _sory, _cf, _sf are not used for Blobs
	Blob.bwray(np, nr, list, weight, numb, snorm);
}

INTEGER BasisFunctionBlob::getArea() {
	return Blob.area;
}
;

