/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/BasisFunctionPixel.cpp $
 $LastChangedRevision: 81 $
 $Date: 2014-07-02 11:07:09 -0400 (Wed, 02 Jul 2014) $
 $Author: olangthaler $
 ***********************************************************
 */

#include "BasisFunctionPixel.h"
#include "wray.h"
#include "anglst.h"

BasisFunctionPixel::BasisFunctionPixel() :
		GeometricBehaviour() {
}

BasisFunctionPixel::~BasisFunctionPixel() {
}

void BasisFunctionPixel::getRayTrace(INTEGER np, INTEGER nr,
		INTEGER* list,
		REAL* weight, INTEGER* numb, REAL* snorm, REAL * _sorx,
		REAL * _sory, REAL * _cf, REAL * _sf) {
	// call the function of the global namespace
	::wray(np, nr, list, weight, numb, snorm, _sorx, _sory, _cf, _sf);
}

INTEGER BasisFunctionPixel::getArea() {
	return GeoPar.area;
}
;

