/*
 ***********************************************************
 $SNARK_Header$
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/trm6.cpp $
 $LastChangedRevision: 122 $
 $Date: 2014-07-09 18:18:59 -0400 (Wed, 09 Jul 2014) $
 $Author: agulati $
 ***********************************************************
 */

#include "DistanceMeasure.h"
#include "blob.h"

using namespace std;

DistanceMeasure::DistanceMeasure(char* distanceNameIn) {
	this->distanceName = distanceNameIn;
}

DistanceMeasure::~DistanceMeasure() {
}

REAL DistanceMeasure::calculateDistance(REAL* recon, INTEGER* list,
REAL* weight) {
	if (Blob.pix_basis) {
		return this->calculateDistanceForPixel(recon, list, weight);
	} else {
		return this->calculateDistanceForBlob(recon, list, weight);
	}
}

char* DistanceMeasure::getName() {
	return this->distanceName;
}
