/** @file proj.hpp
    @package snark14Display
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef PROJ_H
#define PROJ_H

class Snarkproj {
public:
    Snarkproj( DIGDataFormat format );
    Snarkproj();
    ~Snarkproj();
    //    void readProj(DIGDataFormat format);
    void readProj();
    double** getProj();
    double getMin();
    double getMax();
    bool isLoaded();

    double **proj;
    double max;
    double min;
    bool isloaded;
    DIGDataFormat fileformat;
private:
    double** matrix(int  nrl,int nrh,int ncl,int nch);
};

#endif // PROJ_H
